#[serial_test::serial]
#[tokio::test]
async fn test_get_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client.org().get().await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
#[serial_test::serial]
#[tokio::test]
async fn test_create_201_success_default() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .org()
        .create(sideko_rest_api::resources::org::CreateRequest {
            name: "My Organization".to_string(),
            subdomain: "my-org".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
